/********************************** <lalVerbatim file="ExcessPowerHV">
Author: Flanagan, E
$Id: EPSearch.h,v 1.60 2006/03/12 18:41:17 kipp Exp $
**************************************************** </lalVerbatim> */

#ifndef _EPSEARCH_H
#define _EPSEARCH_H

#include <lal/ExcessPower.h>
#include <lal/LALDatatypes.h>
#include <lal/LALRCSID.h>
#include <lal/LIGOMetadataTables.h>
#include <lal/ResampleTimeSeries.h>
#include <lal/TimeFreqFFT.h>
#include <lal/TFTransform.h>
#include <lal/Window.h>

#ifdef  __cplusplus   /* C++ protection. */
extern "C" {
#endif

NRCSID(EPSEARCHH, "$Id: EPSearch.h,v 1.60 2006/03/12 18:41:17 kipp Exp $");


typedef struct
tagEPSearchParams {
	char                 *printSpectrum;
	BOOLEAN               useOverWhitening;	
	REAL4Window          *window;
	UINT4                 windowShift;
	REAL8                 lnalphaThreshold;
	AvgSpecMethod         method;
	CreateTFTilingIn      tfTilingInput;
	TFPlaneParams         tfPlaneParams;
} EPSearchParams;

SnglBurstTable *
XLALEPSearch(
	const COMPLEX8FrequencySeries  *hrssresponse,
	const REAL4TimeSeries  *tseries,
	EPSearchParams   *params
);

int
XLALEPConditionData(
	REAL4TimeSeries  *series,
	REAL8             flow,
	REAL8             resampledeltaT,
	INT4              corruption
);

#ifdef  __cplusplus
}
#endif  /* C++ protection. */

#endif
